cURL
curl --request POST \ --url https://api.example.com/v1/auth/bootstrap \ --header 'Content-Type: application/json' \ --data ' { "workspace_name": "<string>" } '
{ "workspace": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "slug": "<string>", "plan": "<string>", "plan_status": "<string>", "beta_override": true, "emails_sent_this_period": 123, "inbound_received_this_period": 123, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "trial_ends_at": "2023-11-07T05:31:56Z", "current_period_start": "2023-11-07T05:31:56Z", "current_period_end": "2023-11-07T05:31:56Z" }, "api_key": "<string>", "warning": "<string>" }
Create the first workspace and API key in a single unauthenticated call. Returns 409 if any workspace already exists — this endpoint is a one-shot initialisation tool and disables itself automatically after first use.
Successful Response
Show child attributes